import * as ts from "typescript";
export declare function isObjectType(type: ts.Type): type is ts.ObjectType;
export declare function isPrimitiveType(type: ts.Type): boolean;
export declare function isAnyOrUnknown(type: ts.Type): boolean;
export declare function isVoid(type: ts.Type): boolean;
export declare function isTupleType(type: ts.Type, checker: ts.TypeChecker): type is ts.TupleType;
export declare function isRecordType(type: ts.Type): boolean | undefined;
export declare function isStringIndexedObjectType(type: ts.Type): ts.Type | undefined;
export declare function isNumberIndexedType(type: ts.Type): ts.Type | undefined;
export declare function isArrayType(type: ts.Type, checker: ts.TypeChecker): boolean;
export declare function isFunctionType(type: ts.Type): boolean;
export declare function isBasicObjectType(type: ts.Type, checker: ts.TypeChecker): boolean;
export declare function isLiteralType(type: ts.Type): boolean;
